Skip to main content
PUT
/
reports
/
sask
/
v1
/
accounts
Update accounts
curl --request PUT \
  --url https://api.rrc.dev.finventi.com/reports/sask/v1/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "refId": "305697289_20250303_E5D11991C7B74CB0",
    "accountType": "CURRENT_ACCOUNT",
    "iban": "LT601010012345678901",
    "currency": "EUR",
    "openedDate": "2024-12-20",
    "closedDate": "2025-06-30",
    "owner": {
      "type": "F",
      "name": "Jonas",
      "surname": "Jonaitis",
      "birthDate": "1990-05-15",
      "addressCountry": "LV",
      "address": "Riga, Alberta st. 1",
      "codeCountry": "LV",
      "codeInForeignCountry": "39001011234",
      "documentType": "NON_LITHUANIAN_PASSPORT",
      "documentNumber": "AB123456",
      "nationalities": [
        "LV"
      ]
    }
  }
]
'
[
  {
    "status": "SUCCESS",
    "data": {
      "accountType": "CURRENT_ACCOUNT",
      "iban": "LT601010012345678901",
      "currency": "EUR",
      "openedDate": "2024-12-20",
      "closedDate": "2025-06-30",
      "owner": {
        "type": "F",
        "name": "Jonas",
        "surname": "Jonaitis",
        "birthDate": "1990-05-15",
        "addressCountry": "LV",
        "address": "Riga, Alberta st. 1",
        "codeCountry": "LV",
        "codeInForeignCountry": "39001011234",
        "documentType": "NON_LITHUANIAN_PASSPORT",
        "documentNumber": "AB123456",
        "nationalities": [
          "LV"
        ]
      },
      "refId": "305697289_20250303_E5D11991C7B74CB0"
    }
  }
]

Authorizations

Authorization
string
header
required

Obtain JWT via client_credentials grant. Required role: MMR_SASK_REPORT

Body

application/json
accountType
enum<string>
required
Available options:
CURRENT_ACCOUNT,
DEPOSIT_ACCOUNT,
LOAN_ACCOUNT,
SAVINGS_ACCOUNT,
PAYMENT_CARD_ACCOUNT,
OTHER_ACCOUNT,
SECURITIES_ACCOUNT,
CUSTODY_ACCOUNT,
SMALL_ENTREPRENEUR_ACCOUNT,
INVESTMENT_ACCOUNT,
CRYPTO_ASSET_ACCOUNT
iban
string
required

Account number (IBAN)

Maximum string length: 35
Example:

"LT601010012345678901"

currency
string
required

Currency code (ISO 4217)

Minimum string length: 1
Example:

"EUR"

openedDate
string<date>
required

Date when the account was opened

Example:

"2024-12-20"

owner
object
required
refId
string
required

Reference ID of the account to update

Example:

"305697289_20250303_E5D11991C7B74CB0"

closedDate
string<date>

Date when the account was closed

Example:

"2025-06-30"

Response

All updated

status
enum<string>
Available options:
SUCCESS,
FAILED
data
object
errors
object[]
Last modified on April 9, 2026